Index: branches/coll_rect/src/world_entities/world_entity.cc
===================================================================
--- branches/coll_rect/src/world_entities/world_entity.cc	(revision 9887)
+++ branches/coll_rect/src/world_entities/world_entity.cc	(revision 9889)
@@ -78,5 +78,5 @@
 
   // reset all collision handles to NULL == unsubscribed state
-  for(int i = 0; i < CREngine::CR_NUMBER; ++i)
+  for(int i = 0; i < CoRe::CREngine::CR_NUMBER; ++i)
     this->collisionHandles[i] = NULL;
   this->bReactive = false;
@@ -84,5 +84,5 @@
 
   // registering default reactions:
-  this->subscribeReaction(CREngine::CR_OBJECT_DAMAGE, /* WorldEntity::staticClassID(), */ Projectile::staticClassID());
+  this->subscribeReaction(CoRe::CREngine::CR_OBJECT_DAMAGE, /* WorldEntity::staticClassID(), */ Projectile::staticClassID());
 
   this->toList(OM_NULL);
@@ -302,5 +302,5 @@
  *  @param target1 a filter target (classID)
  */
-void WorldEntity::subscribeReaction(CREngine::CRType type, const ClassID& target1)
+void WorldEntity::subscribeReaction(CoRe::CREngine::CRType type, const ClassID& target1)
 {
   this->subscribeReaction(type);
@@ -316,5 +316,5 @@
  *  @param target1 a filter target (classID)
  */
-void WorldEntity::subscribeReaction(CREngine::CRType type, const ClassID& target1, const ClassID& target2)
+void WorldEntity::subscribeReaction(CoRe::CREngine::CRType type, const ClassID& target1, const ClassID& target2)
 {
   this->subscribeReaction(type);
@@ -331,5 +331,5 @@
  *  @param target1 a filter target (classID)
  */
-void WorldEntity::subscribeReaction(CREngine::CRType type, const ClassID& target1, const ClassID& target2, const ClassID& target3)
+void WorldEntity::subscribeReaction(CoRe::CREngine::CRType type, const ClassID& target1, const ClassID& target2, const ClassID& target3)
 {
   this->subscribeReaction(type);
@@ -342,20 +342,4 @@
 
 
-/**
- * subscribes this world entity to a collision reaction
- *  @param type the type of reaction to subscribe to
- *  @param target1 a filter target (classID)
- */
-void WorldEntity::subscribeReaction(CREngine::CRType type, const ClassID& target1, const ClassID& target2, const ClassID& target3, const ClassID& target4)
-{
-  this->subscribeReaction(type);
-
-  // add the target filter
-  this->collisionHandles[type]->addTarget(target1);
-  this->collisionHandles[type]->addTarget(target2);
-  this->collisionHandles[type]->addTarget(target3);
-  this->collisionHandles[type]->addTarget(target4);
-}
-
 
 /**
@@ -365,5 +349,5 @@
  *  @param ... the targets as classIDs
  */
-void WorldEntity::subscribeReaction(CREngine::CRType type)
+void WorldEntity::subscribeReaction(CoRe::CREngine::CRType type)
 {
   if( this->collisionHandles[type] != NULL)
@@ -373,5 +357,5 @@
   }
 
-  this->collisionHandles[type] = CREngine::getInstance()->subscribeReaction(this, type);
+  this->collisionHandles[type] = CoRe::CREngine::getInstance()->subscribeReaction(this, type);
 
   // now there is at least one collision reaction subscribed
@@ -384,14 +368,14 @@
  *  @param type the reaction to unsubscribe
  */
-void WorldEntity::unsubscribeReaction(CREngine::CRType type)
+void WorldEntity::unsubscribeReaction(CoRe::CREngine::CRType type)
 {
   if( this->collisionHandles[type] == NULL)
     return;
 
-  CREngine::getInstance()->unsubscribeReaction(this->collisionHandles[type]);
+  CoRe::CREngine::getInstance()->unsubscribeReaction(this->collisionHandles[type]);
   this->collisionHandles[type] = NULL;
 
   // check if there is still any handler registered
-  for(int i = 0; i < CREngine::CR_NUMBER; ++i)
+  for(int i = 0; i < CoRe::CREngine::CR_NUMBER; ++i)
   {
     if( this->collisionHandles[i] != NULL)
@@ -410,6 +394,6 @@
 void WorldEntity::unsubscribeReaction()
 {
-  for( int i = 0; i < CREngine::CR_NUMBER; i++)
-    this->unsubscribeReaction((CREngine::CRType)i);
+  for( int i = 0; i < CoRe::CREngine::CR_NUMBER; i++)
+    this->unsubscribeReaction((CoRe::CREngine::CRType)i);
 
   // there are no reactions subscribed from now on
@@ -433,9 +417,9 @@
 
   // get a collision event
-  CollisionEvent* c = CREngine::getInstance()->popCollisionEventObject();
+  CoRe::CollisionEvent* c = CoRe::CREngine::getInstance()->popCollisionEventObject();
   assert(c != NULL); // if this should fail: we got not enough precached CollisionEvents: alter value in cr_defs.h
   c->collide(COLLISION_TYPE_OBB, entityA, entityB, bvA, bvB);
 
-  for( int i = 0; i < CREngine::CR_NUMBER; ++i)
+  for( int i = 0; i < CoRe::CREngine::CR_NUMBER; ++i)
     if( this->collisionHandles[i] != NULL)
       this->collisionHandles[i]->registerCollisionEvent(c);
@@ -457,9 +441,9 @@
 
   // get a collision event
-  CollisionEvent* c = CREngine::getInstance()->popCollisionEventObject();
+  CoRe::CollisionEvent* c = CoRe::CREngine::getInstance()->popCollisionEventObject();
   assert(c != NULL); // if this should fail: we got not enough precached CollisionEvents: alter value in cr_defs.h
   c->collide(type, entity, groundEntity, normal, position, bInWall);
 
-  for( int i = 0; i < CREngine::CR_NUMBER; ++i)
+  for( int i = 0; i < CoRe::CREngine::CR_NUMBER; ++i)
     if( this->collisionHandles[i] != NULL)
       this->collisionHandles[i]->registerCollisionEvent(c);
